Page MenuHomePhabricator

Enable <mapframe> on WMUA wiki
Closed, ResolvedPublic

Description

We'll be happy to show the venues of our events on chapter wiki ua.wikimedia.org using <mapframe> (just as T132510)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 5 2017, 10:04 AM
DatGuy closed this task as Invalid.May 8 2017, 4:56 PM
DatGuy added a subscriber: DatGuy.

Kartographer is enabled by default. See also Special:Version

Yurik reopened this task as Open.May 8 2017, 4:57 PM
Yurik added a subscriber: Yurik.

Kartographer is enabled, but not the mapframe support

MaxSem renamed this task from Enable Kartographer on WMUA wiki to Enable <mapframe> on WMUA wiki.May 8 2017, 4:59 PM
DatGuy claimed this task.May 8 2017, 5:45 PM

Change 352622 had a related patch set uploaded (by DatGuy; owner: DatGuy):
[operations/mediawiki-config@master] Enable mapframe on uawikimedia

https://gerrit.wikimedia.org/r/352622

It's generally considered good practice to ask the maintainers of products and services whether enabling them will cause any issues, such as server load, capacity, product inconsistencies, and so on. Let's not have a repeat of T161032 where something was enabled without the maintainers knowing until afterwards. :-)

@MaxSem @Pnorman @Gehel Your thoughts would be welcomed on this.

Here are my thoughts. As I noted previously on the Discovery mailing list, the Interactive Team is currently putting its work on pause. This means that, if this were deployed, it is very unlikely that any feature requests would be answered. You can only expect a very minimal level of support on bugs or other issues. If you are alright with this, I don't object to the deployment going ahead to WMUA wiki.

debt added a subscriber: debt.May 9 2017, 9:47 PM
Ata triaged this task as Low priority.May 20 2017, 4:11 PM
Ata added a subscriber: Ata.

Any problems spotted in svwiki?

Adding to the interactive sprint board to keep an eye on the progress that the WMUA community makes with adding mapframe to uawiki.

debt added a comment.Jun 14 2017, 2:18 PM

Hi,

The Foundation Audiences and Technology Management sent a communication (also on wiki) yesterday regarding the Discovery team's projects and goals, in response to an earlier message about the re-organization of Product and Technology. There was a question regarding maps and this question and response is applicable to your ticket. I've quoted it here:

One question: Does "As needed, assist with individual language Wikipedia’s implementation of mapframe" mean just help support the implementation on the wikis where mapframe is already deployed, or does it mean potentially deploying mapframe to additional wikis?

​We don't have the technical resources to deploy mapframe to any additional wikis at this time. If a wiki wants to deploy mapframe on their site, they can do it on their own—similar to what Swedish Wikipedia accomplished.[1]

If severe bugs occur, we'll try our best to get them fixed; such as maps aren't rendering from the tile servers. We just don't have the technical resources to do any minor bug fixes, feature requests or any new deployments right now.

[1] https://phabricator.wikimedia.org/T161032

Change 368172 had a related patch set uploaded (by Gehel; owner: Guillaume Lederrey):
[operations/mediawiki-config@master] enable mapframe for euwiki, ptwiki and uawikimedia

https://gerrit.wikimedia.org/r/368172

Change 368172 merged by jenkins-bot:
[operations/mediawiki-config@master] enable mapframe for euwiki, ptwiki and uawikimedia

https://gerrit.wikimedia.org/r/368172

Base added a subscriber: Base.Aug 1 2017, 9:52 PM

I am seriously confused. I've used mapframe on wmuawiki back in December and unless I (and other people attending the event) am a lunatic it worked and works. What does the task action change?

Base added a comment.EditedAug 1 2017, 10:07 PM

Judging from the config edited mapframe, but not static mapframe whatever it is, is and was enabled on all wikis that are not Wikipedias. So all chapter wikis, but also all Wikiquotes at al. It is easy to check on Special:Version at the bottom where supported tags are listed.

Yes, there was definitely some confusion. So mapframe was indeed already enabled. I removed the specific enable for your wiki, but kept the part of the change that enabled static mapframes. It's been deployed now.

debt moved this task from Backlog to Done on the Maps-Sprint board.Aug 1 2017, 10:51 PM

Correct, the static mapframe had not yet been deployed, until today, on wmuawiki.

debt closed this task as Resolved.Aug 2 2017, 12:36 PM